Bug 1113862 - [RHEL6] Rebase Mozilla firefox/thunderbird to 31-ESR after 24-ESR is EOL
Summary: [RHEL6] Rebase Mozilla firefox/thunderbird to 31-ESR after 24-ESR is EOL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox
Version: 6.6
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1099618 1099619 1124329
Blocks: 1043430 1113926 1113929 1134876 1139219 1140650 1140688 1140689 1142764 1142765
TreeView+ depends on / blocked
 
Reported: 2014-06-27 05:44 UTC by Huzaifa S. Sidhpurwala
Modified: 2018-12-09 18:04 UTC (History)
21 users (show)

Fixed In Version: firefox-31.3.0-7.el6_6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The firefox packages have been upgraded to upstream version 31.1.0, which provides a number of bug fixes and enhancements over the previous version.
Clone Of:
: 1113926 1113929 1124329 1140688 1140689 1142764 1142765 (view as bug list)
Environment:
Last Closed: 2015-01-05 12:11:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-06-27 05:44:21 UTC
Mozilla will EOL firefox/thunderbird 24-ESR on 13-Oct 2015. We need to rebase to 31-ESR after that.

Comment 3 John Walicki 2014-07-02 19:43:13 UTC
There is a misunderstanding in this BZ that Enterprise customers would wait for FF24 ESR to go EOL before starting their migration to FF 31 ESR.   We purposefully worked with Mozilla Development when the Extended Support Release was proposed to create an overlap of two release cycles.    As a result, Firefox 31 ESR becomes available two cycles before Firefox 24 ESR goes EOL.   Enterprises uses these 12 weeks to migrate hundreds of thousands of systems to the next ESR before the prior release goes out of support.  We don't want our desktop systems to be running on unsupported (and potentially vulnerable) releases of the older Firefox ESR.   During the transition both ESR releases are secured by backports of security errata.  After a Firefox ESR goes EOL, Mozilla continues to publish security errata (at least every 6 weeks) that could disclose security vulnerabilities in prior releases.   Those open source disclosures could tip off hackers on how to attack prior releases of Firefox.  This would put enterprises at risk, if they don't stay vigilant and current with their browser policy.

Comment 4 Martin Stransky 2014-07-07 10:21:43 UTC
We are going to provide Firefox 31 ESR rpm packages as soon as possible for testing purposes. So the customers can test their scenarios during the overlapping period and report issues to us.

Comment 5 John Walicki 2014-07-07 11:11:16 UTC
Thanks Martin! That works much better for us.

Comment 6 Martin Stransky 2014-07-09 15:05:52 UTC
To be clear here, Firefox team is going to provide test packages based on official Mozilla Firefox 31 ESR packages. So you can expect those packages after July 22 which is current release date by Mozilla.

Comment 7 John Walicki 2014-07-09 16:25:24 UTC
Great - Thanks for the clarification that the Red Hat test packages will be built from the official Firefox 31 ESR packages (after July 22)


Note You need to log in before you can comment on or make changes to this bug.